package com.huimv.guowei.admin.service.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.api.R;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.common.utils.ResultCode;
import com.huimv.guowei.admin.entity.RawData;
import com.huimv.guowei.admin.mapper.RawDataMapper;
import com.huimv.guowei.admin.service.IRawDataService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.poi.util.StringUtil;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2023-06-25
 */
@Service
public class RawDataServiceImpl extends ServiceImpl<RawDataMapper, RawData> implements IRawDataService {

    @Override
    public Result listInfo(Map<String, String> paramsMap) {
        String deviceCode = paramsMap.get("deviceCode");
        String startDate = paramsMap.get("startDate");
        String endDate = paramsMap.get("endDate");
        QueryWrapper<RawData> wrapper = new QueryWrapper<>();
        if (StringUtils.isBlank(deviceCode)){
            return new Result(10001,"称编码不能为空",false);
        }
        wrapper.eq("device_code",deviceCode);
        if (StringUtils.isBlank(startDate)){
            wrapper.ge("create_time", DateUtil.beginOfDay(new Date()));
        }else {

            wrapper.between("create_time", startDate,endDate);
        }
        wrapper.orderByDesc("id");
        return new Result(ResultCode.SUCCESS, this.list(wrapper));
    }
}
